## GntProgressBar GntProgressBar — A widget that shows progress visually |

## Functions

void | (*gnt_reserved1) ()
void | (*gnt_reserved2) ()
void | (*gnt_reserved3) ()
void | (*gnt_reserved4) ()
GntWidget * | gnt_progress_bar_new ()
void | gnt_progress_bar_set_fraction ()
void | gnt_progress_bar_set_orientation ()
void | gnt_progress_bar_set_show_progress ()
gdouble | gnt_progress_bar_get_fraction ()
GntProgressBarOrientation | gnt_progress_bar_get_orientation ()
gboolean | gnt_progress_bar_get_show_progress ()

## Types and Values

enum | GntProgressBarOrientation

## Object Hierarchy

        GObject
        ╰── GntBindable
            ╰── GntWidget
                ╰── GntProgressBar

## Description

## Functions

### gnt_reserved1 ()

    void
    (*gnt_reserved1) (void);

### gnt_reserved2 ()

    void
    (*gnt_reserved2) (void);

### gnt_reserved3 ()

    void
    (*gnt_reserved3) (void);

### gnt_reserved4 ()

    void
    (*gnt_reserved4) (void);

### gnt_progress_bar_new ()

    GntWidget *
    gnt_progress_bar_new (void);

Create a new GntProgressBar

#### Returns

The new GntProgressBar

Since: 2.6.0

### gnt_progress_bar_set_fraction ()

    void
    gnt_progress_bar_set_fraction (GntProgressBar *pbar,
                                   gdouble fraction);

Set the progress for a progress bar

#### Parameters

pbar | The GntProgressBar |
fraction | The value between 0 and 1 to display |

Since: 2.6.0

### gnt_progress_bar_set_orientation ()

    void
    gnt_progress_bar_set_orientation (GntProgressBar *pbar,
                                      GntProgressBarOrientation orientation);

Set the orientation for a progress bar

#### Parameters

pbar | The GntProgressBar |
orientation | The orientation to use |

Since: 2.6.0

### gnt_progress_bar_set_show_progress ()

    void
    gnt_progress_bar_set_show_progress (GntProgressBar *pbar,
                                        gboolean show);

Controls whether the progress value is shown

#### Parameters

pbar | The GntProgressBar |
show | A boolean indicating if the value is shown |

Since: 2.6.0

### gnt_progress_bar_get_fraction ()

    gdouble
    gnt_progress_bar_get_fraction (GntProgressBar *pbar);

Get the progress that is displayed

#### Parameters

pbar | The GntProgressBar |

#### Returns

The progress displayed as a value between 0 and 1

Since: 2.6.0

### gnt_progress_bar_get_orientation ()

    GntProgressBarOrientation
    gnt_progress_bar_get_orientation (GntProgressBar *pbar);

Get the orientation for the progress bar

#### Parameters

pbar | The GntProgressBar |

#### Returns

The current orientation of the progress bar

Since: 2.6.0

### gnt_progress_bar_get_show_progress ()

    gboolean
    gnt_progress_bar_get_show_progress (GntProgressBar *pbar);

Get a boolean describing if the progress value is shown

#### Parameters

pbar | The GntProgressBar |

#### Returns

`TRUE` if the progress value is shown, `FALSE` otherwise.

Since: 2.6.0

## Types and Values

### enum GntProgressBarOrientation

#### Members

GNT_PROGRESS_LEFT_TO_RIGHT |  |
GNT_PROGRESS_RIGHT_TO_LEFT |  |
GNT_PROGRESS_BOTTOM_TO_TOP |  |
GNT_PROGRESS_TOP_TO_BOTTOM |  |